Subject: bug#70036: 30.0.50; Move file-truename to the C level

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2024 15:52:23 +0200

> Cc: [email-masked]
> From: Ihor Radchenko <[email-masked]>
> Date: Thu, 28 Mar 2024 11:51:06 +0000
> 
> If the slow parts of `file-truename' are the calls to C subroutines,
> rewriting `file-truename' in C will not help much with the performance.

That is only true if the C implementation uses the same C subroutines,
or their bodies.  If, instead, the C implementation uses something
like 'realpath', which produces the fully resolved file name ion one
go, then the profile from the Lisp implementation is not really
relevant.